import { useSelector, useDispatch } from 'react-redux'
import { getTowns } from '../store/towns.slice'

function Towns() {
    const towns = useSelector(state => state.towns.townsTab)
    const statusTowns = useSelector(state => state.towns.status)
    const dispatch = useDispatch()

    const handleGetTowns = async () => {
        if (statusTowns === 'idle') {
            await dispatch(getTowns())
        }
    }

    return (
        <div>
            <p>Towns</p>
            <button onClick={handleGetTowns}>Get all towns</button>
            <hr/>
            <ul>
                {towns.map((e,id) => <li key={id}>{e.name}</li>)}
            </ul>
        </div>
    )
}

export default Towns
