import { useState } from 'react'
import { useSelector, useDispatch } from 'react-redux'
import { addUser, removeUser } from '../store/users.slice'
import { useParams } from 'react-router-dom';

function Users(props) {
    const [firstName, setFirstName] = useState("")
    const [lastName, setLastName] = useState("")
    const [age, setAge] = useState("")
    const users = useSelector(state => state.users.usersTab)
    const dispatch = useDispatch()

    const {subtitle} = useParams();

    function handleAdd() {
        if ((firstName !== "") && (lastName !== "")) {
            dispatch(addUser({firstName: firstName, lastName: lastName, age: age}))
        }
    }

    function handleRemove(id) {
        dispatch(removeUser(id))
    }

    return (
        <div>
            <p>Users: {props.msg}</p>
            <hr/>
            <p>{subtitle}</p>
            <hr/>
            first Name: <input value={firstName} onChange={(event)=> setFirstName(event.target.value)} />
            last Name: <input value={lastName} onChange={(event)=> setLastName(event.target.value)} />
            age: <input value={age} onChange={(event)=> setAge(event.target.value)} />
            <button onClick={handleAdd}>Add new user</button>
            <hr/>
            <ul>
                {users.map((e,id) => <li key={id}>{e.firstName} {e.lastName} {e.age} <button onClick={() => handleRemove(id)}>Remove</button></li>)}
            </ul>
        </div>
    )
}

export default Users
