import { useState } from 'react'
import { useSelector, useDispatch } from 'react-redux'
import { incrementByAmount } from '../store/counter.slice'

function Welcome() {
    const [incr, setIncr] = useState(1)
    // mapper state redux
    const count = useSelector(state => state.counter.value)
    // mapper la fonction dispatch de redux
    const dispatch = useDispatch()

    function handleIncrChange(event) {
        if (event.target.value === "") {
            setIncr("")
            return
        }
        let v = parseInt(event.target.value)
        if (isNaN(v)) {
            setIncr(incr)
        }
        else {
            setIncr(v)
        }
    }

    return (
        <div>
            <h1>Vite + React</h1>
            <div className="card">
                <button onClick={() => dispatch(incrementByAmount(incr))}>
                    count is {count}
                </button>
                <hr/>
                Increment value: <input id="incval" value={incr} onChange={handleIncrChange} />
            </div>
        </div>
    )
}

export default Welcome
