import {createBrowserRouter} from "react-router-dom";
import App from "../App";
import Welcome from "../components/Welcome";
import Users from "../components/Users"
import Towns from "../components/Towns"
import UsersWithoutHooks from "../components/UsersWithoutHooks";

const router = createBrowserRouter([
  {
    path: "/",
    element: <App />,
    children: [
      {
        path: "welcome",
        element: <Welcome />,
      },
      {
        path: "userslist/:subtitle",
        element: <Users msg="with hooks"/>,
      },
      {
        path: "userswithouthooks/:subtitle",
        element: <UsersWithoutHooks msg="without hooks"/>,
      },
      {
        path: "towns",
        element: <Towns />,
      },
    ]
  },

]);

export default router;