import {getRequest} from "./axios.service";

async function getAllTownsFromAPI() {
  return getRequest('/towns/get', 'GETALLTOWNS')
}

async function getAllTowns() {
  // result est ce qui est renoyvé par getAllTowns()
  // response est ce qui est renvoyé par axiosAgent
  let response = await getAllTownsFromAPI()
  /* IMPORTANT:
     Avec redux, les 'payload' qui sont manipulés par les actions NE DOIVENT PAS
     contenir des objets créés à partir de classes, car cela conduit à des objets dits
     non-serializable. Ces objets sont quand même sérializable avec JSON.stringify()
     et deserializable avec JSON.parse() mais dans ce cas, on obtient un objet normal, donc
     on perd le fait qu'il est une instance d'une classe précise et l'on ne peut plus appeler
     les méthodes de classe.
     C'est pourquoi, cette démonstration n'utilise pas un fichier data.service.js qui permet de
     convertir les données JSON reçues de l'API en instances de classe. Sinon, on obtient une erreur
     dans la console et donc une appli. qui crashe.
     De ce fait, on retourne directement l'objet JSON reçu, non typé, donc au format
     {error: ..., status: ..., data: ...},
  */
  return response
}

export {
  getAllTowns
}