import { createSlice } from '@reduxjs/toolkit'

export const usersSlice = createSlice({
  name: 'users',
  initialState: {
    usersTab: []
  },
  reducers: {
    addUser: (state, action) => {
      let user = action.payload
      if ((!user.firstName) || (!user.lastName)) return
      state.usersTab.push(user)
    },
    removeUser: (state, action) => {
      let index = parseInt(action.payload)
      if (isNaN(index)) return
      state.usersTab.splice(index,1)
    },
  }
})

// Action creators are generated for each case reducer function
export const { addUser, removeUser } = usersSlice.actions
export default usersSlice.reducer